CVE-2000-0269
CVSS2.1
发布时间 :2000-04-18 00:00:00
修订时间 :2008-09-10 15:03:47
NMCOS    

[原文]Emacs 20 does not properly set permissions for a slave PTY device when starting a new subprocess, which allows local users to read or modify communications between Emacs and the subprocess.


[CNNVD]GNU Emacs本地窃听漏洞(CNNVD-200004-044)

        Emacs 20存在漏洞,它在启动新的子进程时没有为从设备PTY正确设置权限,本地用户可以利用这个漏洞读取或修改Emacs与子进程间的通信。

- CVSS (基础分值)

CVSS分值: 2.1 [轻微(LOW)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:gnu:emacs:20.1GNU GNU Emacs 20.1
cpe:/a:gnu:emacs:20.2GNU GNU Emacs 20.2
cpe:/a:gnu:emacs:20.0GNU Emacs 20.0
cpe:/a:gnu:emacs:20.6GNU GNU Emacs 20.6
cpe:/a:gnu:emacs:20.3GNU GNU Emacs 20.3
cpe:/a:gnu:emacs:20.4GNU Emacs 20.4
cpe:/a:gnu:emacs:20.5GNU GNU Emacs 20.5

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2000-0269
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2000-0269
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200004-044
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/1125
(VENDOR_ADVISORY)  BID  1125
http://www.securityfocus.com/templates/archive.pike?list=1&date=2000-04-15&msg=tg4s8zioxq.fsf@mercury.rus.uni-stuttgart.de
(UNKNOWN)  BUGTRAQ  20000418 RUS-CERT Advisory 200004-01: GNU Emacs 20

- 漏洞信息

GNU Emacs本地窃听漏洞
低危 访问验证错误
2000-04-18 00:00:00 2005-10-20 00:00:00
本地  
        Emacs 20存在漏洞,它在启动新的子进程时没有为从设备PTY正确设置权限,本地用户可以利用这个漏洞读取或修改Emacs与子进程间的通信。

- 公告与补丁

        Currently the SecurityFocus staff are not aware of any vendor supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com. It has been indicated that a new release, 20.7, will likely be released to remedy this, and other, problems.
        A patch was included with the advisory which reported this vulnerability. It fixes this and other vulnerabilities.
        GNU Emacs 20.6
        

- 漏洞信息

13666
GNU Emacs PTY Device Incorrect Permission User Session Disclosure

- 漏洞描述

Unknown or Incomplete

- 时间线

2000-04-18 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

GNU Emacs Local Eavesdropping Vulnerabilities
Access Validation Error 1125
No Yes
2000-04-18 12:00:00 2009-07-11 01:56:00
This vulnerability was announced in a RUS-Cert advisory on April 18, 2000.

- 受影响的程序版本

GNU Emacs 20.6
GNU Emacs 20.5
GNU Emacs 20.4
GNU Emacs 20.3
GNU Emacs 20.2
GNU Emacs 20.1
GNU Emacs 20.0
+ Debian Linux 3.0 sparc
+ Debian Linux 3.0 s/390
+ Debian Linux 3.0 ppc
+ Debian Linux 3.0 mipsel
+ Debian Linux 3.0 mips
+ Debian Linux 3.0 m68k
+ Debian Linux 3.0 ia-64
+ Debian Linux 3.0 ia-32
+ Debian Linux 3.0 hppa
+ Debian Linux 3.0 arm
+ Debian Linux 3.0 alpha

- 漏洞讨论

A vulnerability exists in Emacs 20, that allows any user on a multiuser system to eavesdrop on, or forge responses to, an Emacs client. The vulnerability stems from Emacs failure to properly set permissions for slave PTY devices. Operating systems where Emacs is affected include Linux,
FreeBSD, HP-UX 10.x and 11.00, and AIX 4. Solaris is not affected.

- 漏洞利用

Currently the SecurityFocus staff are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com.

- 解决方案

Currently the SecurityFocus staff are not aware of any vendor supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com. It has been indicated that a new release, 20.7, will likely be released to remedy this, and other, problems.

A patch was included with the advisory which reported this vulnerability. It fixes this and other vulnerabilities.


GNU Emacs 20.6

- 相关参考

     

     

    关于SCAP中文社区

    SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

    版权声明

    CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站